clan::Console Class Reference - ClanLib SDK
Description: clan::Console Class Reference

Static Public Member Functions | List of all members
clan::Console Class Reference
clanCore Text

Console access helper class. More...

`#include <console.h>`

## Static Public Member Functions
static void | wait_for_key ()
| Block until a key is pressed in the console window.
template<class Arg1>
static void | write (const std::string &format, Arg1 arg1)
| Write.
template<class Arg1, class Arg2>
static void | write (const std::string &format, Arg1 arg1, Arg2 arg2)
| Write.
template<class Arg1, class Arg2, class Arg3>
static void | write (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3)
| Write.
template<class Arg1, class Arg2, class Arg3, class Arg4>
static void | write (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4)
| Write.
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>
static void | write (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5)
| Write.
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>
static void | write (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5, Arg6 arg6)
| Write.
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>
static void | write (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5, Arg6 arg6, Arg7 arg7)
| Write.
static void | write (const std::string &text)
| Writes text to the console window.
template<class Arg1>
static void | write_line (const std::string &format, Arg1 arg1)
| Write line.
template<class Arg1, class Arg2>
static void | write_line (const std::string &format, Arg1 arg1, Arg2 arg2)
| Write line.
template<class Arg1, class Arg2, class Arg3>
static void | write_line (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3)
| Write line.
template<class Arg1, class Arg2, class Arg3, class Arg4>
static void | write_line (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4)
| Write line.
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>
static void | write_line (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5)
| Write line.
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>
static void | write_line (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5, Arg6 arg6)
| Write line.
template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>
static void | write_line (const std::string &format, Arg1 arg1, Arg2 arg2, Arg3 arg3, Arg4 arg4, Arg5 arg5, Arg6 arg6, Arg7 arg7)
| Write line.
static void | write_line (const std::string &text)
| Writes text to the console window and then advances to a new line.

## Detailed Description

Console access helper class.

## Member Function Documentation

## ◆ wait_for_key()

void clan::Console::wait_for_key | ( |  | ) |
| static

Block until a key is pressed in the console window.

This function does not do anything on Linux.

## ◆ write() [1/8]

template<class Arg1>

void clan::Console::write | ( | const std::string & | format,
|  | Arg1 | arg1 )
| inlinestatic

Write.

Parameters

  format | = String Ref
  arg1 | = Arg1

References clan::f, and write().

## ◆ write() [2/8]

template<class Arg1, class Arg2>

void clan::Console::write | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2 )
| inlinestatic

Write.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2

References clan::f, and write().

## ◆ write() [3/8]

template<class Arg1, class Arg2, class Arg3>

void clan::Console::write | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3 )
| inlinestatic

Write.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2
  arg3 | = Arg3

References clan::f, and write().

## ◆ write() [4/8]

template<class Arg1, class Arg2, class Arg3, class Arg4>

void clan::Console::write | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4 )
| inlinestatic

Write.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2
  arg3 | = Arg3
  arg4 | = Arg4

References clan::f, and write().

## ◆ write() [5/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

void clan::Console::write | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5 )
| inlinestatic

Write.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2
  arg3 | = Arg3
  arg4 | = Arg4
  arg5 | = Arg5

References clan::f, and write().

## ◆ write() [6/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>

void clan::Console::write | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5,
|  | Arg6 | arg6 )
| inlinestatic

Write.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2
  arg3 | = Arg3
  arg4 | = Arg4
  arg5 | = Arg5
  arg6 | = Arg6

References clan::f, and write().

## ◆ write() [7/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>

void clan::Console::write | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5,
|  | Arg6 | arg6,
|  | Arg7 | arg7 )
| inlinestatic

Write.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2
  arg3 | = Arg3
  arg4 | = Arg4
  arg5 | = Arg5
  arg6 | = Arg6
  arg7 | = Arg7

References clan::f, and write().

## ◆ write() [8/8]

void clan::Console::write | ( | const std::string & | text | ) |
| static

Writes text to the console window.

Referenced by write(), write(), write(), write(), write(), write(), write(), and write_line().

## ◆ write_line() [1/8]

template<class Arg1>

void clan::Console::write_line | ( | const std::string & | format,
|  | Arg1 | arg1 )
| inlinestatic

Write line.

Parameters

  format | = String Ref
  arg1 | = Arg1

References clan::f, and write_line().

## ◆ write_line() [2/8]

template<class Arg1, class Arg2>

void clan::Console::write_line | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2 )
| inlinestatic

Write line.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2

References clan::f, and write_line().

## ◆ write_line() [3/8]

template<class Arg1, class Arg2, class Arg3>

void clan::Console::write_line | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3 )
| inlinestatic

Write line.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2
  arg3 | = Arg3

References clan::f, and write_line().

## ◆ write_line() [4/8]

template<class Arg1, class Arg2, class Arg3, class Arg4>

void clan::Console::write_line | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4 )
| inlinestatic

Write line.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2
  arg3 | = Arg3
  arg4 | = Arg4

References clan::f, and write_line().

## ◆ write_line() [5/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5>

void clan::Console::write_line | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5 )
| inlinestatic

Write line.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2
  arg3 | = Arg3
  arg4 | = Arg4
  arg5 | = Arg5

References clan::f, and write_line().

## ◆ write_line() [6/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6>

void clan::Console::write_line | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5,
|  | Arg6 | arg6 )
| inlinestatic

Write line.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2
  arg3 | = Arg3
  arg4 | = Arg4
  arg5 | = Arg5
  arg6 | = Arg6

References clan::f, and write_line().

## ◆ write_line() [7/8]

template<class Arg1, class Arg2, class Arg3, class Arg4, class Arg5, class Arg6, class Arg7>

void clan::Console::write_line | ( | const std::string & | format,
|  | Arg1 | arg1,
|  | Arg2 | arg2,
|  | Arg3 | arg3,
|  | Arg4 | arg4,
|  | Arg5 | arg5,
|  | Arg6 | arg6,
|  | Arg7 | arg7 )
| inlinestatic

Write line.

Parameters

  format | = String Ref
  arg1 | = Arg1
  arg2 | = Arg2
  arg3 | = Arg3
  arg4 | = Arg4
  arg5 | = Arg5
  arg6 | = Arg6
  arg7 | = Arg7

References clan::f, and write_line().

## ◆ write_line() [8/8]

void clan::Console::write_line | ( | const std::string & | text | ) |
| inlinestatic

Writes text to the console window and then advances to a new line.

References write().

Referenced by write_line(), write_line(), write_line(), write_line(), write_line(), write_line(), and write_line().

The documentation for this class was generated from the following file:

- console.h